@import "../../../../../../assets/css/constants.scss";

.housing-allowance-container {
  .header-label {
    padding: 15px 0;
    i {
      font-size: 22px;
    }
    span {
      padding-left: 15px;
      font-size: 16px;
    }
  }
  .parent-form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    flex-direction: row;
    mat-form-field {
      width: 45%;
      min-width: 300px;
      margin: 0 10px;
    }
  }
  .selection-list {
    width: 100%;
    ul {
      list-style: none;
      padding: 0;
      margin: 10px;
      li {
        position: relative;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-around;
        border: 1px solid grey;
        padding: 15px;
        margin: 10px;
        mat-form-field {
          width: 30%;
        }
        .s-no {
          position: absolute;
          left: 1px;
          top: 2px;
          border: 1px solid black;
          border-radius: 13px;
          width: 25px;
          height: 25px;
          align-items: center;
          align-self: center;
          display: flex;
          justify-content: center;
        }
        .remove-action {
          align-items: center;
          justify-content: center;
          display: flex;
          .remove {
            background-color: rgb(212, 69, 69) !important;
            color: $PRIMARY_WHITE;
          }
        }
      }
    }
  }
  .add-action {
    width: 100%;
    justify-content: center;
    align-items: center;
    display: flex;
    margin: 25px 0;
    button {
      color: $PRIMARY_WHITE;
    }
    button {
      background-color: $SANED_BTN_SECONDARY !important;
      margin: 0 10px;
    }
  }
}
.table-container {
  margin: 25px 0;
  table {
    width: 100%;
    td, th {
      text-align: center;
    }
  }
}
